package com.yem.wm.bc.change.common.consts;

import kd.bos.bundle.MultiLangEnumBridge;

/**
 * @author 夜子
 * @ClassName BizChangeStatusEnum
 * @description: 变更状态
 * @date 2023年08月03日
 * @version: 1.0
 */
public enum BizChangeStatusEnum {
    UNCHANGE(new MultiLangEnumBridge("未变更", "BizChangeStatusEnum_0", "yem-yc-changemodel", new Object[0]), "A"),
    CHANGING(new MultiLangEnumBridge("变更中", "BizChangeStatusEnum_1", "yem-yc-changemodel", new Object[0]), "B"),
    CHANGED(new MultiLangEnumBridge("已变更", "BizChangeStatusEnum_2", "yem-yc-changemodel", new Object[0]), "C");

    private String value;
    private MultiLangEnumBridge bridge = null;

    private BizChangeStatusEnum(MultiLangEnumBridge bridge, String value) {
        this.bridge = bridge;
        this.value = value;
    }

    public String getName() {
        return this.bridge.loadKDString();
    }

    public String getValue() {
        return this.value;
    }

    public static String getName(String value) {
        String name = null;
        BizChangeStatusEnum[] var2 = values();
        int var3 = var2.length;

        for(int var4 = 0; var4 < var3; ++var4) {
            BizChangeStatusEnum status = var2[var4];
            if (value.equals(status.getValue())) {
                name = status.getName();
                break;
            }
        }

        return name;
    }
}
